Skip to content
Start here

Acknowledge + Retry Queue Messages

POST/accounts/{account_id}/queues/{queue_id}/messages/ack

Acknowledge + Retry messages from a Queue

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Queues WriteWorkers Scripts Write
Path ParametersExpand Collapse
account_id: string

A Resource identifier.

maxLength32
queue_id: string

A Resource identifier.

maxLength32
Body ParametersJSONExpand Collapse
acks: optional array of object { lease_id }
lease_id: optional string

An ID that represents an "in-flight" message that has been pulled from a Queue. You must hold on to this ID and use it to acknowledge this message.

retries: optional array of object { delay_seconds, lease_id }
delay_seconds: optional number

The number of seconds to delay before making the message available for another attempt.

lease_id: optional string

An ID that represents an "in-flight" message that has been pulled from a Queue. You must hold on to this ID and use it to acknowledge this message.

ReturnsExpand Collapse
errors: optional array of ResponseInfo { code, message, documentation_url, source }
minLength1
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: optional array of string
result: optional object { ackCount, retryCount, warnings }
ackCount: optional number

The number of messages that were succesfully acknowledged.

retryCount: optional number

The number of messages that were succesfully retried.

warnings: optional array of string
success: optional true

Indicates if the API call was successful or not.

Acknowledge + Retry Queue Messages

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/queues/$QUEUE_ID/messages/ack \
    -X POST \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "ackCount": 5,
    "retryCount": 5,
    "warnings": [
      "string"
    ]
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "ackCount": 5,
    "retryCount": 5,
    "warnings": [
      "string"
    ]
  },
  "success": true
}